Subject: bug#63234: cached guix shell environment not capturing environment variables set in manifest

From: Ludovic Courtès <[email-masked]>
Date: Tue, 02 May 2023 17:48:57 +0200

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Consider the following manifest.scm file:
>
> (setenv "DUMMY" "hello")
>
> (packages->manifest
>  (map specification->package
>       (list "hello")))
>
>
> Running:
>
> $ guix shell --rebuild-cache -m manifest.scm -- sh -c 'echo $DUMMY'
> hello
>
> $ guix shell -m manifest.scm -- sh -c 'echo $DUMMY'
>
> I think this is a recent behavior change, otherwise I wouldn't have
> gotten fond of that trick ;-).

Hmm, I don’t think it’s a recent change.  It’s a trick that might work
“by chance” but cannot be relied on.

Not-a-bug to me!

Ludo’.